Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::Item Class Reference

A GtkItem C++ wrapper class. More...

`#include <xfc/gtk/item.hh>`

Inheritance diagram for Xfc::Gtk::Item:

List of all members.

## Signal Prototypes

- const SelectSignalType select_signal
    Select signal (see signal_select()).
- const DeselectSignalType deselect_signal
    Deselect signal (see signal_deselect()).
- const ToggleSignalType toggle_signal
    Toggle signal (see signal_toggle()).

## Public Member Functions

Constructors

- virtual ~Item ()
    Destructor.

Accessors

- GtkItem * gtk_item () const
    Get a pointer to the GtkItem structure.
- operator GtkItem * () const
    Conversion operator; safely converts an Item to a GtkItem pointer.

Methods

- void select ()
    Emits the "select" signal on Item.
- void deselect ()
    Emits the "deselect" signal on Item.
- void toggle ()
    Emits the "toggle" signal on Item.

Signal Proxies

- const SelectSignalProxy signal_select ()
    Connect to the select_signal; emitted when the item is selected.
- const DeselectSignalProxy signal_deselect ()
    Connect to the deselect_signal; emitted when the item is deselected.
- const ToggleSignalProxy signal_toggle ()
    Connect to the toggle_signal; emitted when the item is toggled.

## Protected Member Functions

Constructors

- Item (GtkItem *item, bool owns_reference=false)
    Construct a new Item from an existing GtkItem.

## Detailed Description

A GtkItem C++ wrapper class.

The Item widget is an abstract base class for MenuItem.

## Constructor & Destructor Documentation

Xfc::Gtk::Item::Item | ( | GtkItem * | item,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new Item from an existing GtkItem.

Parameters:

  | item | A pointer to a GtkItem.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The item can be a newly created GtkItem or an existing GtkItem (see G::Object::Object).

## Member Data Documentation

const DeselectSignalType Xfc::Gtk::Item::deselect_signal `[static, protected]`

Deselect signal (see signal_deselect()).

Calls a slot with the signature:

                 void function();

const SelectSignalType Xfc::Gtk::Item::select_signal `[static, protected]`

Select signal (see signal_select()).

Calls a slot with the signature:

                 void function();

const ToggleSignalType Xfc::Gtk::Item::toggle_signal `[static, protected]`

Toggle signal (see signal_toggle()).

Calls a slot with the signature:

                 void function();

The documentation for this class was generated from the following file:

- gtk/item.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3